<?php
define('WP_INSTALLING', true);

require_once('../wp-includes/compat.php');
require_once('../wp-includes/functions.php');
require_once('../wp-includes/classes.php');

if (!file_exists('../wp-config-sample.php'))
	wp_die('Жао нам је, потребна нам је датотека wp-config-sample.php да бисмо радили. Молимо вас да је поново пошаљете из ваше Вордпрес инсталације.');

$configFile = file('../wp-config-sample.php');

if ( !is_writable('../')) 
	wp_die("Жао нам је, не могу да уписујем у директоријуму. Морате или да промените дозволе у вашем Вордпрес директоријуму или да направите ручно ваш wp-config.php.");

// Check if wp-config.php has been created
if (file_exists('../wp-config.php'))
	wp_die("<p>Датотека 'wp-config.php' већ постоји. Уклико желите да вратите на почетно стање било коју конфигурациону ставку, молимо вас да је прво избришете. Можете пробати инсталацију <a href='install.php'>сада</a>.</p>");

if (isset($_GET['step']))
	$step = $_GET['step'];
else
	$step = 0;

function display_header(){
	header( 'Content-Type: text/html; charset=utf-8' );
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Вордпрес &rsaquo; Подешавање конфигурационе датотеке</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<style media="screen" type="text/css">
	<!--
	html {
		background: #eee;
	}
	body {
		background: #fff;
		color: #000;
		font-family: Georgia, "Times New Roman", Times, serif;
		margin-left: 20%;
		margin-right: 20%;
		padding: .2em 2em;
	}

	h1 {
		color: #006;
		font-size: 18px;
		font-weight: lighter;
	}

	h2 {
		font-size: 16px;
	}

	p, li, dt {
		line-height: 140%;
		padding-bottom: 2px;
	}

	ul, ol {
		padding: 5px 5px 5px 20px;
	}
	#logo {
		margin-bottom: 2em;
	}
	.step a, .step input {
		font-size: 2em;
	}
	td input {
		font-size: 1.5em;
	}
	.step, th {
		text-align: right;
	}
	#footer {
		text-align: center;
		border-top: 1px solid #ccc;
		padding-top: 1em;
		font-style: italic;
	}
	-->
	</style>
</head>
<body>
<h1 id="logo"><img alt="WordPress" src="images/wordpress-logo.png" /></h1>
<?php
}//end function display_header();

switch($step) {
	case 0:
		display_header();
?>

<p>Добро дошли у Вордпрес. Пре него што почнемо, потребни су нам неки подаци о бази података. Мораћете да знате следеће ставке пре наставка.</p>
<ol>
	<li>Име базе</li>
	<li>Корисничко име базе</li>
	<li>Лозинку базе</li>
	<li>Домаћина (сервер) базе</li>
	<li>Префикс табеле (уколико желите да покрећете више од једног Вордпреса из једне базе) </li>
</ol>
<p><strong>Уколико из било ког разлога ово аутоматско креирање датотеке не буде радило, не брините. Све што ово ради је да попуњава податке о бази у конфигурациону датотеку. Можете такође једноставно да отворите <code>wp-config-sample.php</code> у уређивачу текста, попуните ваше податке и сачувајте је као <code>wp-config.php</code>. </strong></p>
<p>У свакој могућности, ове ставке су вам достављене од стране вашег провајдера. Уколико немате ове податке, онда морате да их контактирате пре него што наставите. Уколико сте спремни, <a href="setup-config.php?step=1">кренимо</a>! </p>
<?php
	break;

	case 1:
		display_header();
	?>
</p>
<form method="post" action="setup-config.php?step=2">
	<p>Испод би требало да унесете податке о вашој бази. Уколико нисте сигурни о овоме, контактирајте домаћина вашег сервера. </p>
	<table>
		<tr>
			<th scope="row">Име базе</th>
			<td><input name="dbname" type="text" size="25" value="wordpress" /></td>
			<td>Име базе у којој желите да снимате Вордпресове податке. </td>
		</tr>
		<tr>
			<th scope="row">Корисничко име базе</th>
			<td><input name="uname" type="text" size="25" value="korisnicko" /></td>
			<td>Ваше MySQL корисничко име</td>
		</tr>
		<tr>
			<th scope="row">Лозинка</th>
			<td><input name="pwd" type="text" size="25" value="lozinka" /></td>
			<td>...и MySQL лозинка.</td>
		</tr>
		<tr>
			<th scope="row">Домаћин (сервер) базе</th>
			<td><input name="dbhost" type="text" size="25" value="localhost" /></td>
			<td>99% вероватноће да ово нећете морати да мењате.</td>
		</tr>
		<tr>
			<th scope="row">Префикс табеле</th>
			<td><input name="prefix" type="text" id="prefix" value="wp_" size="25" /></td>
			<td>Уколико желите да покрећете више од једног Вордпреса из једне базе, промените ово.</td>
		</tr>
	</table>
	<h2 class="step">
	<input name="submit" type="submit" value="Пошаљи" />
	</h2>
</form>
<?php
	break;

	case 2:
	$dbname  = trim($_POST['dbname']);
	$uname   = trim($_POST['uname']);
	$passwrd = trim($_POST['pwd']);
	$dbhost  = trim($_POST['dbhost']);
	$prefix  = trim($_POST['prefix']);
	if (empty($prefix)) $prefix = 'wp_';

	// Test the db connection.
	define('DB_NAME', $dbname);
	define('DB_USER', $uname);
	define('DB_PASSWORD', $passwrd);
	define('DB_HOST', $dbhost);

	// We'll fail here if the values are no good.
	require_once('../wp-includes/wp-db.php');
	if ( !empty($wpdb->error) )
		wp_die($wpdb->error->get_error_message());
		
	$handle = fopen('../wp-config.php', 'w');

	foreach ($configFile as $line_num => $line) {
		switch (substr($line,0,16)) {
			case "define('DB_NAME'":
				fwrite($handle, str_replace("staviteimebazeovde", $dbname, $line));
				break;
			case "define('DB_USER'":
				fwrite($handle, str_replace("'korisnkickoimeovde'", "'$uname'", $line));
				break;
			case "define('DB_PASSW":
				fwrite($handle, str_replace("'vasalozinkaovde'", "'$passwrd'", $line));
				break;
			case "define('DB_HOST'":
				fwrite($handle, str_replace("localhost", $dbhost, $line));
				break;
			case '$table_prefix  =':
				fwrite($handle, str_replace('wp_', $prefix, $line));
				break;
			default:
				fwrite($handle, $line);
		}
	}
	fclose($handle);
	chmod('../wp-config.php', 0666);
	
	display_header();
?>
<p>У реду, друже! Успео си кроз овај део инсталације. Вордпрес сада може да комуницира са твојом базом. Уколико си спреман, време је да <a href="install.php">покренеш инсталирање!</a></p>
<?php
	break;
}
?>
<p id="footer"><a href="http://wordpress.org/">Вордпрес</a>, платформа за лично издаваштво.</p>
</body>
</html>
